Aktualizacja 4.1.21

Awatar użytkownika
pimowo
Betatester
Posty: 4340
Rejestracja: czw lut 19, 2015 9:17 am
Lokalizacja: Wołów

Aktualizacja 4.1.21

Post autor: pimowo » pn sie 21, 2017 11:52 am

Nowa aktualizacja NT do beta 4.1.21 krzyczy, że brakuje pakietów i należy je zainstalować:

Kod: Zaznacz cały

2017-08-21 11:41:53 You must install packages: sudo apt-get update && sudo apt-get -y install php7.0-cgi php7.0-sqlite php7.0-fpm php7.0-curl php7.0-mysql php7.0-snmp
ale po wpisaniu w terminalu komendy:

Kod: Zaznacz cały

sudo apt-get update && sudo apt-get -y install php7.0-cgi php7.0-sqlite php7.0-fpm php7.0-curl php7.0-mysql php7.0-snmp
otrzymujemy:

Kod: Zaznacz cały

E: Nie udało się odnaleźć pakietu php7.0-cgi
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "php7.0-cgi"
E: Nie udało się odnaleźć pakietu php7.0-sqlite
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "php7.0-sqlite"
E: Nie udało się odnaleźć pakietu php7.0-fpm
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "php7.0-fpm"
E: Nie udało się odnaleźć pakietu php7.0-curl
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "php7.0-curl"
E: Nie udało się odnaleźć pakietu php7.0-mysql
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "php7.0-mysql"
E: Nie udało się odnaleźć pakietu php7.0-snmp
E: Nie udało się znaleźć żadnego pakietu według wyrażenia regularnego "php7.0-snmp"
Aby to rozwiązać, robimy kolejno:

Kod: Zaznacz cały

sudo nano /etc/apt/sources.list
i dodajemy wpis:

Kod: Zaznacz cały

deb http://repozytorium.mati75.eu/raspbian jessie-backports main contrib non-free
#deb-src http://repozytorium.mati75.eu/raspbian jessie-backports main contrib non-free
i w terminalu:

Kod: Zaznacz cały

sudo gpg --keyserver pgpkeys.mit.edu --recv-key CCD91D6111A06851
i jeszcze:

Kod: Zaznacz cały

sudo gpg --armor --export CCD91D6111A06851 | sudo apt-key add -
i na koniec:

Kod: Zaznacz cały

sudo apt-get update && sudo apt-get -y install php7.0-cgi php7.0-sqlite php7.0-fpm php7.0-curl php7.0-mysql php7.0-snmp
Po tym zabiegu w NT ukaże się piękny komunikat:

Kod: Zaznacz cały

You have all system packages.
Może komuś się przyda ;)
Mój NetTemp mieszka w Raspberry Pi 3B na szynie DIN

Awatar użytkownika
hryst
Betatester
Posty: 672
Rejestracja: wt mar 25, 2014 8:52 am
Kontaktowanie:

Re: Aktualizacja 4.1.21

Post autor: hryst » pn sie 21, 2017 6:53 pm

dzięki, ja sie zastanawiałem o co kaman jak mamy w php 5 te moduły

dodatkowo ja sobie dodałem cały php7

Kod: Zaznacz cały

apt-get install php7.0 php7.0-curl php7.0-gd php7.0-imap php7.0-json php7.0-mcrypt php7.0-mysql php7.0-opcache php7.0-xmlrpc libapache2-mod-php7.0 php7.0-cgi php7.0-sqlite php7.0-fpm php7.0-snmp
--- działam na orange pi plus H3 ---

jot
Posty: 933
Rejestracja: śr lut 03, 2016 8:50 pm

Re: Aktualizacja 4.1.21

Post autor: jot » pn sie 21, 2017 9:28 pm

Wg mnie @techfreak testuje kompatybilność NT z PHP7.
Tylko w Raspbianie oficjalnie wsparcia dla PHP7 nie ma, więc trzeba posiłkować się jakimiś zewnętrznymi repozytoriami. Niestety u każdego, kto "świeżo" zainstaluje Raspbiana i NT - po prostu NT nie ruszy, dopóki albo nie zainstaluje wymaganych pakietów PHP5 ręcznie, albo nie dołoży sobie zewnętrznego repo i ponownie nie zainstaluje NT..
Poza tym - z tymi zewnętrznymi repozytoriami to tak różnie może być..

techfreak
Site Admin
Posty: 4673
Rejestracja: sob mar 15, 2014 2:23 pm
Lokalizacja: Gdansk
Kontaktowanie:

Re: Aktualizacja 4.1.21

Post autor: techfreak » pn sie 21, 2017 9:30 pm

Nie testuje, działam na nim od roku. A php7 jest w raspbianie z defaulta. Nowe image.

Wysłane z mojego Nexus 5X przy użyciu Tapatalka


jot
Posty: 933
Rejestracja: śr lut 03, 2016 8:50 pm

Re: Aktualizacja 4.1.21

Post autor: jot » pn sie 21, 2017 9:41 pm

techfreak pisze:
pn sie 21, 2017 9:30 pm
Nie testuje, działam na nim od roku. A php7 jest w raspbianie z defaulta. Nowe image.

Wysłane z mojego Nexus 5X przy użyciu Tapatalka
AAaaaa.. No tak.. nowa wersja.. To może prosta weryfikacja - które distro jest zainstalowane i albo PHP5, albo PHP7 ?

Awatar użytkownika
pimowo
Betatester
Posty: 4340
Rejestracja: czw lut 19, 2015 9:17 am
Lokalizacja: Wołów

Re: Aktualizacja 4.1.21

Post autor: pimowo » wt sie 22, 2017 10:43 am

Jak się nie mylę to mam Raspbiana z lipca i brakowało mi PHP7
Mój NetTemp mieszka w Raspberry Pi 3B na szynie DIN

jot
Posty: 933
Rejestracja: śr lut 03, 2016 8:50 pm

Re: Aktualizacja 4.1.21

Post autor: jot » wt sie 22, 2017 12:23 pm

pimowo pisze:
wt sie 22, 2017 10:43 am
Jak się nie mylę to mam Raspbiana z lipca i brakowało mi PHP7
Jak masz Raspbiana Jessie to nie będzie PHP7. Teraz jest nowa wersja 'Stretch' (na raspberrypi.org jest info, że z 16 sierpnia) i dopiero tam jest nowy PHP..

Awatar użytkownika
pimowo
Betatester
Posty: 4340
Rejestracja: czw lut 19, 2015 9:17 am
Lokalizacja: Wołów

Re: Aktualizacja 4.1.21

Post autor: pimowo » wt sie 22, 2017 12:57 pm

jot pisze:Teraz jest nowa wersja 'Stretch' (na raspberrypi.org jest info, że z 16 sierpnia) i dopiero tam jest nowy PHP
I wszystko jasne... ;)
Mój NetTemp mieszka w Raspberry Pi 3B na szynie DIN

Awatar użytkownika
divest
Posty: 112
Rejestracja: pn maja 04, 2015 1:22 pm

Re: Aktualizacja 4.1.21

Post autor: divest » pt sie 25, 2017 7:16 pm

trzeba by jeszcze dodać, że w Stretch-u karta LAN raspberry pi 3 nazywa się enxb827eb2fc468.
przez to nie wykrywa czujników esp8266
Mam podłączony tylko kabel i wyłączone wifi.
po zmianie w pliku "scan" NT znalazł ds-a i relaya.

Kosiarz
Posty: 146
Rejestracja: ndz mar 27, 2016 5:17 pm
Lokalizacja: Warszawa

Re: Aktualizacja 4.1.21

Post autor: Kosiarz » sob sie 26, 2017 10:47 pm

pimowo pisze:
pn sie 21, 2017 11:52 am
Może komuś się przyda ;)
@pimowo WILKIE DZIĘKUJE!!!!
#RPI 3+/beta 4.1.21 NT # wdzięczny zawsze za wsparcie

ODPOWIEDZ

Kto jest online

Użytkownicy przeglądający to forum: Obecnie na forum nie ma żadnego zarejestrowanego użytkownika i 1 gość